# char_traits.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file char_traits.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx
- namespace std

## Classes

- struct __gnu_cxx::_Char_types< _CharT >
    Mapping from character type to associated types. More...
- struct __gnu_cxx::char_traits< _CharT >
    Base class used to implement std::char_traits. More...
- struct std::char_traits< _CharT >
    Basis for explicit traits specializations. More...
- struct std::char_traits< char >
    21.1.3.1 char_traits specializations More...
- struct std::char_traits< wchar_t >
    21.1.3.2 char_traits specializations More...

## Defines

- #define _CHAR_TRAITS_H